CREATE OR REPLACE FUNCTION authenticate_aduser (p_username IN VARCHAR2, p_password IN VARCHAR2)
   RETURN BOOLEAN
IS
   v_user          VARCHAR2 (256);
   v_ldap_server   VARCHAR2 (256)    := '10.128.1.81';
   --h80081.isd_it.company_ag.local
   v_domain        VARCHAR2 (256)    := 'isd_it.company_ag.local';
   v_ldap_port     NUMBER            := 389;
   v_retval        PLS_INTEGER;
   v_session       DBMS_LDAP.SESSION;
   v_cnt           NUMBER;
BEGIN
   IF p_password IS NOT NULL
   THEN
      v_user := p_username || '@' || v_domain;
      v_session := DBMS_LDAP.init (v_ldap_server, v_ldap_port);
      -- start session
      v_retval := DBMS_LDAP.simple_bind_s (v_session, v_user, p_password);
      -- auth as user
      v_retval := DBMS_LDAP.unbind_s (v_session);                   -- unbind
      RETURN TRUE;
   ELSE
      RETURN FALSE;
   END IF;
EXCEPTION
   WHEN OTHERS
   THEN
      v_retval := DBMS_LDAP.unbind_s (v_session);
      RETURN FALSE;
END authenticate_aduser;
