DECLARE
   v_row   NUMBER := 0;
BEGIN
   apex_collection.create_or_truncate_collection
                                          (p_collection_name      => 'EMP_UP_DOWN');

   FOR x IN (SELECT   empno, ename, job, mgr, hiredate, sal, comm., deptno
                 FROM emp
             ORDER BY ename)
   LOOP
      v_row := v_row + 1;
      apex_collection.add_member (p_collection_name      => 'EMP_UP_DOWN',
                                  p_c001                 => x.empno,
                                  p_c002                 => x.ename,
                                  p_c003                 => x.job,
                                  p_c004                 => x.mgr,
                                  p_c005                 => x.hiredate,
                                  p_c006                 => x.sal,
                                  p_c007                 => x.comm,
                                  p_c008                 => x.deptno,
                                  p_c009                 => v_row
                                 );
   END LOOP;
END;


CREATE OR REPLACE VIEW emp_up_down_v
AS
   SELECT seq_id, c001 empno, c002 ename, c003 job, c004 mgr,
          c005 hiredate, c006 sal, c007 comm, c008 deptno, c009 order_seq
     FROM apex_collections
    WHERE collection_name =  'EMP_UP_DOWN';
/


DECLARE
   v_row   BINARY_INTEGER := 1;
BEGIN
   FOR i IN 1 .. apex_application.g_f01.COUNT
   LOOP
      apex_collection.update_member_attribute 
      ('EMP_UP_DOWN',
       apex_application.g_f01 (i),
       9,
       v_row);
      v_row := v_row + 1;
   END LOOP;
END;
