
CREATE OR REPLACE PACKAGE xlib_conf
AS
/*==========================================================================
  $Id: xlib_conf.pks 155 2009-09-14 17:11:19Z dietmar.aust $

  Purpose  : XLIB_CONF package
             
  $LastChangedDate: 2009-09-14 19:11:19 +0200 (Mo, 14. Sep 2009) $
  $LastChangedBy: dietmar.aust $ 
  
  Date        Author          Comment
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  15.02.2009  D. Aust         added param p_conf_comment

==========================================================================*/

----------------------------------------------------------------------------
--
----------------------------------------------------------------------------
   FUNCTION get_value (
      p_conf_key   IN   VARCHAR2,
      p_app_ctx    IN   VARCHAR2 DEFAULT xlib_context.get_application_context,
      p_domain     IN   VARCHAR2 DEFAULT 'GLOBAL'
   )
      RETURN VARCHAR2;

----------------------------------------------------------------------------
--
----------------------------------------------------------------------------
   FUNCTION v (
      p_conf_key   IN   VARCHAR2,
      p_app_ctx    IN   VARCHAR2 DEFAULT xlib_context.get_application_context,
      p_domain     IN   VARCHAR2 DEFAULT 'GLOBAL'
   )
      RETURN VARCHAR2;

----------------------------------------------------------------------------
--
----------------------------------------------------------------------------
   FUNCTION nv (
      p_conf_key     IN   VARCHAR2,
      p_num_format   IN   VARCHAR2 DEFAULT NULL,
      p_app_ctx      IN   VARCHAR2 DEFAULT xlib_context.get_application_context,
      p_domain       IN   VARCHAR2 DEFAULT 'GLOBAL'
   )
      RETURN NUMBER;

----------------------------------------------------------------------------
--
----------------------------------------------------------------------------
   FUNCTION dv (
      p_conf_key      IN   VARCHAR2,
      p_date_format   IN   VARCHAR2 DEFAULT NULL,
      p_app_ctx       IN   VARCHAR2 DEFAULT xlib_context.get_application_context,
      p_domain        IN   VARCHAR2 DEFAULT 'GLOBAL'
   )
      RETURN DATE;

----------------------------------------------------------------------------
--
----------------------------------------------------------------------------
   PROCEDURE set_value (
      p_conf_key     IN   VARCHAR2,
      p_conf_value   IN   VARCHAR2,
      p_app_ctx      IN   VARCHAR2 DEFAULT xlib_context.get_application_context,
      p_domain       IN   VARCHAR2 DEFAULT 'GLOBAL',
	  p_comment      in   varchar2 default null
   );

----------------------------------------------------------------------------
-- deletes a conf key from the table xlib_conf_values
--
-- Exceptions:
--   no_data_found (conf_key not found)
----------------------------------------------------------------------------
   PROCEDURE remove_conf_key (
      p_conf_key   IN   VARCHAR2,
      p_app_ctx    IN   VARCHAR2 DEFAULT xlib_context.get_application_context,
      p_domain     IN   VARCHAR2 DEFAULT 'GLOBAL'
   );
END;
/