/*
  $Id: xlib_jasperreports.pks 155 2009-09-14 17:11:19Z dietmar.aust $

  Purpose  : XLIB_JASPERREPORTS package
             
  $LastChangedDate: 2009-09-14 19:11:19 +0200 (Mo, 14. Sep 2009) $
  $LastChangedBy: dietmar.aust $ 
  
  Date        Version   Author          Comment
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

*/

CREATE OR REPLACE PACKAGE xlib_jasperreports
AS
/******************************************************************************
   NAME:       XLIB_JASPERREPORTS
   PURPOSE:

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   0.6.0.0    07.08.2008  D. Aust          initial creation
   0.6.0.1    14.09.2008  D. Aust          bugfix (+ instead of ||)
******************************************************************************/
   c_rep_format_pdf    CONSTANT VARCHAR2 (20) := 'pdf';
   c_rep_format_rtf    CONSTANT VARCHAR2 (20) := 'rtf';
   c_rep_format_xls    CONSTANT VARCHAR2 (20) := 'xls';
   c_rep_format_html   CONSTANT VARCHAR2 (20) := 'html';
   c_rep_format_csv    CONSTANT VARCHAR2 (20) := 'csv';
-------------------------------------------------------
   c_conf_tomcat_url   CONSTANT VARCHAR2 (50)
                                           := 'JASPER_INTEGRATION.TOMCAT_URL';
   c_conf_webapp_url   CONSTANT VARCHAR2 (50)
                                           := 'JASPER_INTEGRATION.WEBAPP_URL';
   c_conf_report_url   CONSTANT VARCHAR2 (50)
                                           := 'JASPER_INTEGRATION.REPORT_URL';

----------------------------------------------------------------------------
-- set the URL for the report engine
----------------------------------------------------------------------------
   PROCEDURE set_report_url (
      p_report_url   IN   VARCHAR2
            DEFAULT 'http://localhost:8080/JasperReportIntegration/report'
   );

----------------------------------------------------------------------------
-- make a callout with utl_http to the j2ee container running the
-- JasperReportsIntegration webapp
-- => return the results
----------------------------------------------------------------------------
   PROCEDURE show_report (
      p_rep_name            IN   VARCHAR2 DEFAULT 'test',
      p_rep_format          IN   VARCHAR2 DEFAULT 'pdf',
      p_data_source         IN   VARCHAR2 DEFAULT 'default',
      p_out_filename        IN   VARCHAR2 DEFAULT NULL,
      p_rep_locale          IN   VARCHAR2 DEFAULT 'de_DE',
      p_rep_encoding        IN   VARCHAR2 DEFAULT 'UTF-8',
      p_additional_params   IN   VARCHAR2 DEFAULT NULL
   );

----------------------------------------------------------------------------
-- make a callout with utl_http to the j2ee container running the
-- JasperReportsIntegration webapp
-- => return the report in a BLOB
----------------------------------------------------------------------------
   FUNCTION get_report (
      p_rep_name            IN   VARCHAR2 DEFAULT 'test',
      p_rep_format          IN   VARCHAR2 DEFAULT 'pdf',
      p_data_source         IN   VARCHAR2 DEFAULT 'default',
      p_out_filename        IN   VARCHAR2 DEFAULT NULL,
      p_rep_locale          IN   VARCHAR2 DEFAULT 'de_DE',
      p_rep_encoding        IN   VARCHAR2 DEFAULT 'UTF-8',
      p_additional_params   IN   VARCHAR2 DEFAULT NULL
   )
      RETURN BLOB;
END;
/