DECLARE
   v_email_id     INTEGER;
   v_attachment   BLOB;
   v_filename     VARCHAR2 (400);
   v_mime_type    VARCHAR2 (30);
BEGIN

   -- hier wird ein Anhang aus der wwv_flow_files ausgesucht
   SELECT blob_content, filename, mime_type
     INTO v_attachment, v_filename, v_mime_type
     FROM wwv_flow_files
    WHERE filename = 'Mein Anhang';
    
   -- hier wird eine E-Mail erstellt und die ID der neuen E-Mail
   -- wird in eine Variable gespeichert
   v_email_id :=
      apex_mail.send (p_to      => 'deneskubicek@yahoo.de',
                      'dietmar.aust@opal-consulting.de',
                      'Body Text',
                      'Subject Text'
                     );
                     
   -- hier wird der neuen E-Mail ein Anhang hinzugefgt
   apex_mail.add_attachment (v_email_id, v_attachment, v_filename,
                             v_mime_type);
                             
   -- anschlieend wird die Queue geleert und die E-Mail
   -- wird sofort verschickt
   apex_mail.push_queue;
END;
